Subject: [extropy-chat] name your poison

From: Al Brooks <[email-masked]>
Date: Wed, 16 Mar 2005 12:13:33 -0800 (PST)

To catch a few flies, I'd like to post more on fanaticism, being quite familiar with it.
I read the Pearson-Shaw book 'Life Extension' then immediately started gobbling supplements like they were M&Ms, to hell with caution, wanted quickly to see what effect the minimum and maximum doses of each supplement had. 
Life Extension led to interest in transhumanism, then to serious interest in cryonics. If it had not been for fanaticism, if I hadn't swallowed a truckload of supplements over the years, wouldn't have glanced twice at cryonics. That's the way some people operate. If they aren't fanatical about throwing good money after bad to buy dubious supplements they might be fanatical about dumping money into an offering basket at a church, or whatnot. Taking supplements also made me realize what pigslop we ingest. You can renounce alcohol, coffee and caffeinated tea. You can renounce tobacco products, too much sodium, too much lipids. But for how long? Alcohol isn't really about kicks, it's a gross tranquilizer-- no prescription needed. What's the difference between too much caffeine on one hand, and amphetamines? Sugar to me is like heroin, after one serving of ice cream, cake or pie I want another. One serving doesn't bother me, but then another slice of vegan fat free German chocola!
te cake
 seems attractive, then maybe another if it is a festive occasion."Here's a dish of real-vanilla fat free ice cream, you only live once you know". But you die many times. You lie down with acid reflux because of one too many slices of organic fat free vegan cherry pie, in the morning you feel listless, almost intoxicated.
Many dig their graves with their teeth.

Christopher Healey <[email-masked]> wrote:
Wouldn't relativistic mass increase negate constant acceleration, and asymptotically vanish acceleration toward zero?

> Dirk Bruere wrote:
> 
>
> You are simply wrong on that one, and others agree with me.
> Show us the calculations as to how constant enery input producing 
> constant thrust, hence constant accel does *not* lead to over unity.
> 
_______________________________________________
extropy-chat mailing list
[email-masked]
http://lists.extropy.org/mailman/listinfo/extropy-chat

__________________________________________________
Do You Yahoo!?
Tired of spam?  Yahoo! Mail has the best spam protection around 
http://mail.yahoo.com 

_______________________________________________
extropy-chat mailing list
[email-masked]
http://lists.extropy.org/mailman/listinfo/extropy-chat